Safe email
==========

Simple, secure and efficient email app

This email app might be for you if your current email app:

* takes long to show messages
* can manage only one mailbox
* cannot show related messages
* cannot work offline
* looks outdated
* is closed source, potentially violating your privacy

Features
--------

* 100 % open source
* Multiple accounts (inboxes)
* Multiple identities (outboxes)
* Unified inbox
* Message threading
* Two way synchronization
* Offline storage and operations
* Material design
* Dark theme

Simple
------

* Easy navigation
* No settings
* No bells and whistles

Secure
------

* Connect to email servers only
* Allow encrypted connections only
* Accept valid security certificates only
* [SMTP](https://en.wikipedia.org/wiki/Simple_Mail_Transfer_Protocol) authentication required
* Text view only (converted [HTML](https://en.wikipedia.org/wiki/HTML))
* No special permissions required
* No advertisements
* No analytics and no tracking

Efficient
---------

* No [POP](https://en.wikipedia.org/wiki/Post_Office_Protocol) support
* [IMAP IDLE](https://en.wikipedia.org/wiki/IMAP_IDLE) required
* Android 6 Marshmallow or later required

This app starts a foreground service with a low priority status bar notification to make sure you'll never miss new email.

Frequently Asked Questions
--------------------------

See [here](https://github.com/M66B/open-source-email/blob/master/FAQ.md) for a list of often asked questions.

Support
-------

* For support on Safe email, please go [here](https://forum.xda-developers.com/android/apps-games/source-email-t3824168)

Contributing
------------

*Documentation*

Contributions to this document and the frequently asked questions
are preferred in the form of [pull requests](https://help.github.com/articles/creating-a-pull-request/).

*Translations*

* You can translate the in-app texts of Safe email [here](https://crowdin.com/project/open-source-email)
* If your language is not listed, please send a message through [this contact form](https://contact.faircode.eu/)

*Source code*

Building Safe email from source code is straightforward with [Android Studio](http://developer.android.com/sdk/).
It is expected that you can solve build problems yourself, so there is no support on building.

Source code contributions are preferred in the form of [pull requests](https://help.github.com/articles/creating-a-pull-request/).
Please [contact me](https://contact.faircode.eu/) first to tell me what your plans are.

Please note that you agree to the license below by contributing, including the copyright.

Attribution
-----------

Safe email uses:

* [JavaMail](https://javaee.github.io/javamail/). Copyright (c) 1997-2018 Oracle® and/or its affiliates. All rights reserved. [GPLv2+CE license](https://javaee.github.io/javamail/JavaMail-License).
* [jsoup](https://jsoup.org/). Copyright © 2009 - 2017 Jonathan Hedley. [MIT license](https://jsoup.org/license).
* [Android Support Library](https://developer.android.com/tools/support-library/). Copyright (C) 2011 The Android Open Source Project. [Apache license](https://android.googlesource.com/platform/frameworks/support/+/master/LICENSE.txt).
* [Android Architecture Components](https://developer.android.com/topic/libraries/architecture/). Copyright 2018 The Android Open Source Project, Inc. [Apache license](https://github.com/googlesamples/android-architecture-components/blob/master/LICENSE).

License
-------

[GNU General Public License version 3](https://www.gnu.org/licenses/gpl.txt)

Copyright (c) 2018 Marcel Bokhorst. All rights reserved

Safe email is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Safe email is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Safe email. If not, see [https://www.gnu.org/licenses/](https://www.gnu.org/licenses/).
